Kerbal Space Program - Bug #18299

T-37 Structural Tube Top Attachment Node
03/31/2018 01:55 PM - klesh

Status: Closed Start date: 03/31/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

The T-37 structural tube's top node size is the smallest possible (0.625m) on all length variants making rockets that use it just break
apart. All other structural tubes have correct node attach point sizes.
The problem is located in Tube3.cfg:

node_stack_topl = 0,0,0,0,-1,0,1
node_stack_bottoml = 0,-0.2,0,0
node_stack_top2 = 0,0,0,0,1,0,1
node_stack_bottom2 = 0,-0.2,0,0
It should be:

node_stack_topl = 0,0,0,0,-1,0,3
node_stack_bottoml = 0,-0.2,0,

0,0
node_stack_top2 = 0,0,0,0,1,0,3
node_stack_bottom2 = 0,-0.2,0,0

pdbp @y 3
g=d; 0,3

’

Last digit needs to be 3, not 1.

History

#1 - 04/27/2018 03:46 AM - klesh

- Status changed from New to Moot

This appears to have been fixed in 1.4.3

#2 - 04/27/2018 08:24 AM - Squelch
- Status changed from Moot to Updated
- % Done changed from 0 to 10

#3 - 04/27/2018 08:25 AM - Squelch
- Status changed from Updated to Ready to Test
- Target version set to 1.4.3

- % Done changed from 10 to 80

Thanks for confirming the fix.

#4 - 04/27/2018 08:25 AM - Squelch
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#5 - 10/15/2018 06:25 PM - joshua.collins
- Status changed from Resolved to Closed
